%global sum	Classic-style JRPG and prequel to Monster RPG 2

Name:           monster
Version:        1.24
Release:        %mkrel 11
Summary:        %{sum}
Group:          Games/Adventure
License:        BSD
URL:            https://github.com/LibreGamesArchive/monster
Source0:        %{name}-%{version}.tar.xz

Patch0:         monster-1.24-mga-data-path.patch
Patch1:         monster-1.24-gcc7.patch
Patch2:         monster-1.24-allegra.patch
Patch3:         monster-1.24-git-logg_stream.patch

BuildRequires:  allegro4-devel
BuildRequires:  fudgefont-devel
BuildRequires:  lua5.1-devel
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(zlib)

%description
Monster 1 is a classic-style JRPG in the theme of old NES titles of the 80s
and 90s. Like those RPGs, you gain experience and level up through combat,
while talking to characters and advancing in your quest to save your child
from the hands of a monster.

Monster 1 is a "loose prequel" to the Monster RPG 2 game.

%prep
%autosetup -p1
sed -i 's/lua5.1/lua-5.1/' src/Makefile.unix

%build
%set_build_flags
# Build custom GUI library
export CFLAGS="$CFLAGS -std=c++14"
make -C tgui-0.9 -f Makefile.unix
# Build game engine
%make_build -C src -f Makefile.unix SHARED=1

%install
install -D -m755 src/monster %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=Monster 1
Comment=%{sum}
GenericName=Classic-style JRPG
Exec=%{name}
Icon=%{name}
Type=Application
Categories=Game;RolePlaying;
EOF

install -D -m644 icon.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -D -m644 icon512.png %{buildroot}%{_datadir}/icons/hicolor/512x512/apps/%{name}.png

%files
%doc README.md
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Thu Feb 01 2024 akien <akien> 1.24-11.mga9
+ Revision: 2036531
- Fix patch to load data files (mga#32770)

* Thu Oct 06 2022 papoteur <papoteur> 1.24-10.mga9
+ Revision: 1895100
- Force build with c++14, c++17 fails
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Mar 30 2021 wally <wally> 1.24-9.mga9
+ Revision: 1712017
- rebuild with updated lua 5.1

* Wed Apr 15 2020 danf <danf> 1.24-8.mga8
+ Revision: 1567470
- Fix Comment= in .desktop file to stop referring to debug sources

* Fri Mar 27 2020 umeabot <umeabot> 1.24-7.mga8
+ Revision: 1561103
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Feb 03 2019 pterjan <pterjan> 1.24-6.mga7
+ Revision: 1362919
- Fix build with new allegra
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sat Oct 07 2017 cjw <cjw> 1.24-4.mga7
+ Revision: 1169767
- patch1: fix build with gcc 7

* Sun Mar 12 2017 akien <akien> 1.24-3.mga6
+ Revision: 1092249
- Rebuild against allegro4

* Mon Feb 15 2016 umeabot <umeabot> 1.24-2.mga6
+ Revision: 961494
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 akien <akien> 1.24-1.mga6
+ Revision: 853744
- imported package monster

